Skip to main content

Approve a Transfer Batch

PUT 

/v2/transfer/batches/:uid/approve

Asynchronous Processing: This endpoint is processed asynchronously and creates an approval command for the Transfer Batch. The approval of a Transfer Batch is done asynchronously, that is, when receiving the request, our API stores the request and creates a Command. This command is processed in the background and after confirmed, the Batch has its status changed to Approved. You receive in the response of this request the ID of the created command and can query it at any time.

Webhook Events

When the request is made, a transfer.transfer_batch.approve.requested event is triggered. Our server then begins sending attempts to release the transfer to the financial institution. Only after confirmed at the financial institution, the batch is then marked as approved in our database. At this point the transfer.transfer_batch.approve.confirmed event is triggered.

⚠️ Attention to Approved status: The Approved status is not terminal. When the financial institution confirms the transfers, they will have their status changed to Confirmed

Request

Responses

Command created successfully